Package Gnumed :: Package timelinelib :: Package canvas :: Package drawing :: Module graphobject :: Class GraphObject |
[frames] | no frames]

# Class GraphObject

source code

    object --+
             |
            GraphObject

Contains metric and color information and a list of child graphical objects. When a Graphical object is translated to another position all of its children are also translated. The purpose is to be able to define a graphical object position relative to it's parent.

Instance Methods
__init__(self, x=0, y=0, w=0, h=0, text='') x.__init__(...) initializes x; see help(type(x)) for signature | source code
translate(self, x, y) Translate this object to a new position and translate all of it's child the same amount. | source code
childs(self, childs) | source code
first_child(self) Getter property. | source code
add_child(self, child) Add a new child to the list of childs. | source code
text(self) Getter property. | source code
point(self) Getter property. | source code
rect(self) Getter property. | source code
width(self) Getter property. | source code
height(self) Getter property. | source code
brush_color(self, brush_color) | source code
pen_color(self, pen_color) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, x=0, y=0, w=0, h=0, text='') (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)

### childs(self, childs) | source code
Decorators: `@childs.setter`

### first_child(self) | source code
Getter property. Decorators: `@property`

### text(self) | source code
Getter property. Decorators: `@property`

### point(self) | source code
Getter property. Decorators: `@property`

### rect(self) | source code
Getter property. Decorators: `@property`

### width(self) | source code
Getter property. Decorators: `@property`

### height(self) | source code
Getter property. Decorators: `@property`

### brush_color(self, brush_color) | source code
Decorators: `@brush_color.setter`

### pen_color(self, pen_color) | source code
Decorators: `@pen_color.setter`